Bug 1412587 - [WALA]There's no '\n' after 'DHCP_HOSTNAME' which NetworkManager cannot read
Summary: [WALA]There's no '\n' after 'DHCP_HOSTNAME' which NetworkManager cannot read
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: WALinuxAgent
Version: 7.3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 11:19 UTC by Yuxin Sun
Modified: 2019-02-26 20:57 UTC (History)
11 users (show)

Fixed In Version: WALinuxAgent-2.2.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-07 08:52:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github Azure WALinuxAgent issues 538 0 None None None 2017-01-12 11:19:57 UTC
Red Hat Bugzilla 1411687 0 high CLOSED [WALA] Fail to send hostname to DHCP server during provisioning 2021-02-22 00:41:40 UTC

Internal Links: 1411687

Description Yuxin Sun 2017-01-12 11:19:58 UTC
Description of problem:
There's no '\n' after 'DHCP_HOSTNAME=xxx' in the /etc/sysconfig/network-scripts/ifcfg-eth0 after provisioning, so that NetworkManager cannot read it.

Version-Release number of selected component (if applicable):
WALinuxAgent-2.2.0-3
WALinuxAgent-2.2.2 upstream

How reproducible:
100%

Steps to Reproduce:
1. Create a VM on azure with WALA-2.2.0-3 installed.
2. /etc/sysconfig/network-scripts/ifcfg-eth0

Actual results:
There's no '\n' after DHCP_HOSTNAME=xxx, such as:
[root@wala73ondarm2205d ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
...
DHCP_HOSTNAME=wala73ondarm2205d[root@wala73ondarm2205d ~]

Expected results:
There's '\n' after DHCP_HOSTNAME=xxx, such as:
[root@wala73ondarm2205d ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
...
DHCP_HOSTNAME=wala73ondarm2205d
[root@wala73ondarm2205d ~]

Additional info:
This issue is separated from BZ#1411687

Comment 2 Yuxin Sun 2017-02-27 05:22:00 UTC
Verify on RHEL-7.3 ondemand image with WALinuxAgent-2.2.4-1.el7.mrezanin201702081000.noarch.rpm
Result: Pass

Comment 3 Yuxin Sun 2017-03-06 03:16:18 UTC
Change the status to "POST" for developers to add it into ERRATA.


Note You need to log in before you can comment on or make changes to this bug.